Net::Packet::CDP::Type(3)

NAME
Net::Packet::CDP::Type - base class for Cisco Discovery Protocol extension headers

DESCRIPTION
This is the base class for Net::Packet::CDP various extension headers. For other attributes and methods, see Net::Packet::Layer and Net::Packet::Layer4.

It just provides those extension headers with inheritable attributes and methods.

ATTRIBUTES

type - 16 bits
length - 16 bits

CONSTANTS
See Net::Packet::CDP CONSTANTS.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock